function strixAdd(data) {
    const container = document.getElementById("useStrix");

    if (!container) {
        console.error("Container with id 'useStrix' not found.");
        return;
    }

    Object.keys(data).forEach((key) => {
        const element = container.querySelector(`#${key}`);
        if (element) {
            element.innerHTML = data[key];
        } else {
            console.warn(`Element with id '${key}' not found in container.`);
        }
    });
}

module.exports = strixAdd;
